<?php       
	//header('Content-Type: text/html; charset=utf-8');
	
	include "settings.php";
	include "logger.php";
	
	//ob_start("ob_gzhandler");
	//ini_set('zlib.output_compression', 'On');
	
    $db = new mysqli ($DB_HOST,$DB_USER,$DB_PASS,$DB_NAME);
    $db->query("SET CHARSET SET utf8");
    $db->query("SET NAMES 'utf8'");
    if (mysqli_connect_errno()) {
        echo "Error connecting to DB";
        exit;
    }
    
	
	$data = $_REQUEST['data'];
    $data = stripslashes($data);
	writeToLogFile( ' -> '.date('Y-m-d H:i:s').' <> synchroAndroid <> '.$data );
	
	$arraydata = (array)json_decode($data);
    $timeLastDownload  = $arraydata['lastSynch'];
    $name_master = $arraydata['name_master'];
	$id_user = $arraydata['id'];
	$instance_id = $arraydata['instance_id'];

    if 	(count($arraydata)==0)
    {
        $arr_data=explode('?',$data);
    }   
    
	writeToLogFile( ' -> '.date('Y-m-d H:i:s').' <> synchroAndroid <> '.$arraydata['func'] );
	writeToLogFile( ' -> '.date('Y-m-d H:i:s').' <> synchroAndroid arraydata <> '.$arr_data[0] );


	
// ---------------------------------------- get sendFoto ---------------------------------------------------------------
	if ($arr_data[0]=='sendFoto')            //http://localhost/Lesha/MobiTORServer/scripts/synchroAndroid.php?$arr_data[0]=sendFoto&$arr_data[1]=['rdghkherskhjeriohjeriohjeroihjeroihjrioehjerhjeriohjerio','aksmvcnvkdfnvkjdfnvjdfnvjkdfnzkjvnzdf'];8  
    {//
        $sendFotoData = $arr_data[1];        
        $sendFotoDataArray = explode(';;;;;', $sendFotoData);
        $fotoString = $sendFotoDataArray[0];          
     
        
        //$handle = fopen("d:/Photo/temp.png", 'a');    //открыть файл для записи, курсор в конец
        $handle = fopen("C:/htdocs/toir2/ExtJsGallery/images/temp.png", 'a');    //открыть файл для записи, курсор в конец
        fputs($handle, $fotoString);            // добавить строку в файл
        fclose($handle);
        
        $namePhoto = 'photo.png';
        
        if ($sendFotoDataArray[2]=="end")
        {
          //$handle = fopen("d:/Photo/temp.png", 'r');
          $handle = fopen("C:/htdocs/toir2/ExtJsGallery/images/temp.png", 'r');
          //$stringFile64 = file_get_contents("d:/Photo/temp.png");
          $stringFile64 = file_get_contents("C:/htdocs/toir2/ExtJsGallery/images/temp.png");
          fclose($handle);
          //unlink("d:/Photo/temp.png");                              // удалить временный файл
          unlink("C:/htdocs/toir2/ExtJsGallery/images/temp.png");                              // удалить временный файл
          $stringFile64 = str_replace(" ","+",$stringFile64);       // \r\n
          $stringFile64 = str_replace("*****","\r",$stringFile64);       // \r\n
         
          
          $pathArray = explode("/",$sendFotoDataArray[1]);
          $namePhoto = $pathArray[4];
          //$handle = fopen("d:/Photo/$namePhoto", 'w');
          $handle = fopen("C:/htdocs/toir2/ExtJsGallery/images/$namePhoto", 'w');
          $stringFile = base64_decode($stringFile64);
          fwrite($handle,$stringFile);
          fclose($handle);
          //echo 'trueDelete';
        }
        if (is_readable("C:/htdocs/toir2/ExtJsGallery/images/$namePhoto")){echo 'delete';}
        else {echo 'true';}
        
        
        //$query = "INSERT INTO location (name,latitude,longitude,time) VALUES ('".$name."','".$latitude."','".$longitude."','".$time."')";
        //$stmt = $db->prepare($query);
        //$stmt->execute();
        //echo $fotoString64;
        
    }
	
	
	
	
	
	
	
	

    
?>
